Bug 20603 - Remove unused subs from C4::Accounts
Summary: Remove unused subs from C4::Accounts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18643 20225
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-18 10:44 UTC by Josef Moravec
Modified: 2018-07-18 11:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts (3.06 KB, patch)
2018-04-18 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts (3.12 KB, patch)
2018-04-19 04:32 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts (3.21 KB, patch)
2018-04-20 08:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-04-18 10:44:42 UTC
Patch is coming
Comment 1 Josef Moravec 2018-04-18 11:33:11 UTC
Created attachment 74425 [details] [review]
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts

Test plan:
0) Do not apply the patch
1) Run these 3 commands
    git grep ModNote
    git grep getcredits
    git grep getrefunds
all should return occurances only in C4/Accounts.pm - the sub definition
and in t/db_dependent/Accounts.t
2) Apply the patch
3) Run commands from 1) again, now there should be no occurence
4) prove t/db_dependent/Accounts.t
    should return green
Comment 2 M. Tompsett 2018-04-19 04:32:38 UTC
Created attachment 74512 [details] [review]
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts

Test plan:
0) Do not apply the patch
1) Run these 3 commands
    git grep ModNote
    git grep getcredits
    git grep getrefunds
all should return occurances only in C4/Accounts.pm - the sub definition
and in t/db_dependent/Accounts.t
2) Apply the patch
3) Run commands from 1) again, now there should be no occurence
4) prove t/db_dependent/Accounts.t
    should return green

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2018-04-20 08:43:22 UTC
Created attachment 74602 [details] [review]
Bug 20603: Remove ModNote, getcredits and getrefunds from C4::Accounts

Test plan:
0) Do not apply the patch
1) Run these 3 commands
    git grep ModNote
    git grep getcredits
    git grep getrefunds
all should return occurances only in C4/Accounts.pm - the sub definition
and in t/db_dependent/Accounts.t
2) Apply the patch
3) Run commands from 1) again, now there should be no occurence
4) prove t/db_dependent/Accounts.t
    should return green

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2018-04-20 15:49:57 UTC
Pushed to master for 18.05, thanks to everybody involved!